Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13285/?format=api
{ "ob_id": 13285, "uuid": "b3d30ea8969945f68383dfef511b2d78", "title": "ESA Cloud Climate Change Initiative (Cloud CCI): L3U cloud properties from AVHRR on NOAA 18, Version 1.0", "abstract": "Cloud properties derived from the AVHRR instrument on NOAA-18 by the ESA Cloud CCI project. The L3U datasets consists of cloud properties from L2 data granules remapped to a global space grid of 0.1 degree in latitiude and longitude, without combining any observations from overlapping orbits; only sampling is done. Common notations for this processing level are also L2b and L2G. Data is provided with a temporal resolution of 1 day.\r\n\r\nThis dataset is version 1.0 data from Phase 1 of the CCI project.", "keywords": "ESA, CCI", "publicationState": "removed", "dataPublishedTime": "2016-01-12T15:55:40", "doiPublishedTime": null, "updateFrequency": "", "status": "superseded", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/36845/?format=api", "dataPath": "/neodc/esacci/cloud/data/phase-1/L3U/avhrr_noaa-18/", "oldDataPath": [ "https://api.catalogue.ceda.ac.uk/api/v2/results/13286/?format=api" ], "storageLocation": "internal", "storageStatus": "online", "volume": 1045, "numberOfFiles": 1, "fileFormat": "Data are netCDF formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3600/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25845/?format=api" ], "dataLineage": "Data were processed by the ESA CCI Cloud project team and supplied to CEDA in the context of the ESA CCI Open Data Portal Project.", "removedDataTime": "2017-06-20T00:00:00", "removedDataReason": "These data were removed for the following reason: Data was removed at the request of the data producer. A newer version of the data has been produced.", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13339/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50901/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50835/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50834/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50833/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/104855/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105061/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105248/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54146/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/8453/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2524/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_cloud_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }